SqlDateTypeAdapter
Date: 2016-11-03

com.google.gson.internal.bind

## Class SqlDateTypeAdapter

- java.lang.Object
- - com.google.gson.TypeAdapter<java.sql.Date>
  - - com.google.gson.internal.bind.SqlDateTypeAdapter

-     public final class SqlDateTypeAdapter
      extends TypeAdapter<java.sql.Date>

  Adapter for java.sql.Date. Although this class appears stateless, it is not. DateFormat captures its time zone and locale when it is created, which gives this class state. DateFormat isn't thread safe either, so this class has to synchronize its read and write methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeAdapterFactory` | `FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlDateTypeAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.Date` | `read(JsonReader in)` Reads one JSON value (an array, object, string, number, boolean or null) and converts it to a Java object.
    `void` | `write(JsonWriter out, java.sql.Date value)` Writes one JSON value (an array, object, string, number, boolean or null) for `value`.

    - ### Methods inherited from class com.google.gson.TypeAdapter

      `fromJson, fromJson, fromJsonTree, nullSafe, toJson, toJson, toJsonTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FACTORY

          public static final TypeAdapterFactory FACTORY

  - ### Constructor Detail

    - #### SqlDateTypeAdapter

          public SqlDateTypeAdapter()

  - ### Method Detail

    - #### read

          public java.sql.Date read(JsonReader in)
                             throws java.io.IOException

      Description copied from class: `TypeAdapter`
      Reads one JSON value (an array, object, string, number, boolean or null) and converts it to a Java object. Returns the converted object.
      Specified by:
        `read` in class `TypeAdapter<java.sql.Date>`
      Returns:
        the converted Java object. May be null.
      Throws:
        `java.io.IOException`

    - #### write

          public void write(JsonWriter out,
                   java.sql.Date value)
                     throws java.io.IOException

      Description copied from class: `TypeAdapter`
      Writes one JSON value (an array, object, string, number, boolean or null) for `value`.
      Specified by:
        `write` in class `TypeAdapter<java.sql.Date>`
        `value` - the Java object to write. May be null.
      Throws:
        `java.io.IOException`